package com.fjhx.oa.controller.promotion;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.promotion.dto.PromotionApplySelectDto;
import com.fjhx.oa.entity.promotion.vo.PromotionApplyVo;
import com.fjhx.oa.service.promotion.PromotionApplyService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 转正申请 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
@RestController
@RequestMapping("/promotionApply")
public class PromotionApplyController {

    @Autowired
    private PromotionApplyService promotionApplyService;

    /**
     * 转正申请分页
     */
    @PostMapping("/page")
    public Page<PromotionApplyVo> page(@RequestBody PromotionApplySelectDto dto) {
        return promotionApplyService.getPage(dto);
    }

    /**
     * 转正申请明细
     */
    @PostMapping("/detail")
    public PromotionApplyVo detail(@RequestBody BaseSelectDto dto) {
        return promotionApplyService.detail(dto.getId());
    }

}
