package com.fjhx.oa.mapper.promotion;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.promotion.po.PromotionApply;
import com.fjhx.oa.entity.promotion.vo.PromotionApplyVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 转正申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
public interface PromotionApplyMapper extends BaseMapper<PromotionApply> {

    /**
     * 转正申请分页
     */
    Page<PromotionApplyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PromotionApply> wrapper);

}
