package com.fjhx.oa.service.personal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.personal.dto.PersonalInvoiceDto;
import com.fjhx.oa.entity.personal.dto.PersonalInvoiceSelectDto;
import com.fjhx.oa.entity.personal.po.PersonalInvoice;
import com.fjhx.oa.entity.personal.vo.PersonalInvoiceVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 个人电子发票申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
public interface PersonalInvoiceService extends BaseService<PersonalInvoice> {

    /**
     * 个人电子发票申请分页
     */
    Page<PersonalInvoiceVo> getPage(PersonalInvoiceSelectDto dto);

    /**
     * 个人电子发票申请明细
     */
    PersonalInvoiceVo detail(Long id);

    /**
     * 个人电子发票申请新增
     */
    void addOrEdit(PersonalInvoiceDto personalInvoiceDto);

    /**
     * 个人电子发票申请删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
