package com.fjhx.oa.service.promotion;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.promotion.dto.PromotionApplySelectDto;
import com.fjhx.oa.entity.promotion.po.PromotionApply;
import com.fjhx.oa.entity.promotion.vo.PromotionApplyVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 转正申请 服务类
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
public interface PromotionApplyService extends BaseService<PromotionApply> {

    /**
     * 转正申请分页
     */
    Page<PromotionApplyVo> getPage(PromotionApplySelectDto dto);

    /**
     * 转正申请明细
     */
    PromotionApplyVo detail(Long id);

}
