package com.fjhx.common.mapper.logistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.common.entity.logistics.po.LogisticsAmount;
import com.fjhx.common.entity.logistics.vo.LogisticsAmountVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流发生额 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
public interface LogisticsAmountMapper extends BaseMapper<LogisticsAmount> {

    /**
     * 物流发生额列表
     */
    List<LogisticsAmountVo> getList(@Param("ew") IWrapper<LogisticsAmount> wrapper);

}
