package com.fjhx.form.entity;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class RemitDetailVo {
    private Long id;
    @ColumnWidth(20)
    @ExcelProperty("交易时间")
    private Date transactionTime;
    @ColumnWidth(15)
    @ExcelProperty("银行卡")
    private String accountAliasName;
    @ColumnWidth(15)
    @ExcelProperty("备注")
    private String remark;
    @ColumnWidth(20)
    @ExcelProperty("对方科目")//输入
    private String oppositeSubjectName1;
    @ColumnWidth(30)
    @ExcelProperty("销售组费用类别")//输入
    private String saleGroupExpenseCategory;
    @ColumnWidth(15)
    @ExcelProperty("收入")
    private BigDecimal incomeAmount;
    @ColumnWidth(15)
    @ExcelProperty("支出")
    private BigDecimal expenditureAmount;
    @ColumnWidth(15)
    @ExcelProperty("余额")
    private BigDecimal balanceAmount;
    @ColumnWidth(15)
    @ExcelProperty("供应商")
    private String supplierName;
    @ColumnWidth(15)
    @ExcelProperty("客户简称")
    private String customerShortName;
    @ColumnWidth(15)
    @ExcelProperty("合同单号")
    private String contractCode;
    @ColumnWidth(15)
    @ExcelProperty("科目名称")
    private String subjectName;
    @ColumnWidth(15)
    @ExcelProperty("核算项目1")
    private String calculateItemType1;
    @ColumnWidth(15)
    @ExcelProperty("核算项目2")
    private String calculateItemType2;
    @ColumnWidth(30)
    @ExcelProperty("核算项目1名称")//可修改
    private String calculateItemName1;
    @ColumnWidth(30)
    @ExcelProperty("核算项目2名称")//可修改
    private String calculateItemName2;
    @ColumnWidth(15)
    @ExcelProperty("对方科目")
    private String oppositeSubjectCode;
    @ColumnWidth(20)
    @ExcelProperty("对方科目名称")
    private String oppositeSubjectName;
    @ColumnWidth(25)
    @ExcelProperty("核算项目数据导入")
    private String calculateItemStr;
    @ColumnWidth(20)
    @ExcelProperty("银行科目代码")
    private String bankSubjectCode;
    @ColumnWidth(20)
    @ExcelProperty("银行科目名称")
    private String bankSubjectName;
    @ColumnWidth(30)
    @ExcelProperty("合并科目核算项目名称")
    private String subjectCalculateItemStr;
    @ColumnWidth(15)
    @ExcelProperty("记账凭证号")
    private String voucherNo;
    @ColumnWidth(15)
    @ExcelProperty("订单性质")//1归属工厂、2归属业务
    private String belongType;
}
