package com.fjhx.oa.entity.user.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 员工薪资管理明细
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@Getter
@Setter
@TableName("user_salary_detail")
public class UserSalaryDetail extends BasePo {


    /**
     * 薪资备份主表
     */
    private Long userSalaryId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 类型 10考勤结算 20业绩/计件结算
     */
    private Integer type;

    /**
     * 薪资结构id
     */
    private Long salaryStructureId;

    /**
     * 金额
     */
    private BigDecimal money;

    private Integer dataVer;
    private Integer isCurrentVer;

}
